/***

lrinit.h -- Local Resources, initialization

Copyright (c) 1992-6 Christopher Cobb, All rights reserved.

***/

#ifndef LRINIT_H
#define LRINIT_H 1
static const char*lrinit_h =
       "$Id: lrinit.h,v 1.5 1996/01/09 02:31:41 ccobb Exp $";

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif

#ifndef   EH_H
#include <eh.h>
#endif

/***
   This is the top-level structure through which all local
   resource tracking is performed.
***/
extern EHRESTRK lrResTrk; /* local resource tracking structure */

/* local resource types that we are tracking */
typedef enum 
{
   LR_RES_UNKNOWN,  /* un-determined (yet) */
   LR_RES_DIRENT,   /* directory entries */
   LR_RES_FILDES    /* file descriptors */
}  LR_TYPES;        /* local resource tracking types */

#endif /* LRINIT_H */

