/***

ehfuntrc.h -- Error Handler, function tracing support

Copyright (c) 1992-6 Christopher Cobb, All rights reserved.

***/

#ifndef EHFUNTRC_H
#define EHFUNTRC_H 1
static const char*ehfuntrc_h =
       "$Id: ehfuntrc.h,v 1.3 1996/04/12 22:05:47 ccobb Exp $";

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif

#ifndef   EH_H
#include "eh.h"
#endif

#ifndef   EHCHNVOL_H
#include "ehchnvol.h"
#endif

/*** global function declarations ***/

void ehIndent A((FILE * pFile));
void ehLogRet A((int,const char*, const char*, const int));

/*** error handling support ***/

#define EH_SZFILNAM 12 /* "12345678.abc" */
#define EH_SRC_FORMAT   "%serrs.src"
#define EH_HDR_FORMAT   "%serrs.h"
#define EH_MSG_FORMAT   "%serrs.msg"
#define EH_MAXMSGLEN    127      /* maximum message length */

/*** exception handling support ***/

void ehPErrorThrow(const char *pcFunc);

#endif /* EHFUNTRC_H */
