#!/bin/sh

searchfor="OVERWRITE|Invalid|invalid|RESOURCE|ASSERT|pML|cookie |still|over|deadbeef|[^_]null[^_]|nmByWhom"

sigcount=1
suffix=.mwccD
suffix=

while [ $# != 0 ]
do
   case $1 in
   -f[01] )
      funtrc=$1
      ;;
   -o[01] )
      seelog=$1
      ;;
   -m[01] )
      seemem=$1
      ;;
   -start )
      shift
      sigcount=$1
      ;;
   * )
      if [ -z "$command" ]; then
         program=$1$suffix
         command=$program
      else
         command="$command $1"
      fi
      ;;
   esac
   shift
done

if [ -z "$program" ]; then
   echo 'usage: ehtest.sh <program> [ <args>... ]'
   exit 1
fi
export EHVOLUME="$seelog $funtrc $seemem -c2 -f0 -m0"
export EHPATH="`pwd`:/boot/work/swdev/cxx/stand/MemTrack"
export EHNUMLOGFILES=0
export EHLOGFILESDIR=/tmp

logext=1
goodexits=0

while [ "$goodexits" -lt "3" ]
do

   echo "------- setting EHSIGCTRLC to $sigcount -------"
   export EHSIGCTRLC=$sigcount

   rm -f $EHLOGFILESDIR/$program.0*
   echo $command $options
   $command $options
   exitcode=$?
   if [ $exitcode = 0 ]; then
      goodexits=`expr $goodexits + 1`
   else
      egrep "$searchfor" $EHLOGFILESDIR/$program.0*
      if [ $? = 0 ]; then
         echo ====================================================================
         echo test failed with EHSIGCTRLC set to $sigcount
         echo ====================================================================
         exit 1
      fi
      echo "(exit code $exitcode)"
      goodexits=0
   fi
   sigcount=`expr $sigcount + 1`
done

